# Gets Stores

Endpoint: GET /stores
Version: v3.0: 3.30.0
Security: Auth API User Token

## Query parameters:

  - `PageNumber` (integer)
    Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `PageSize` (integer)
    Page Size
- Default page size: 100 
- Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

  - `Expand` (array)

  - `Filter` (array)

  - `OrderBy` (array)

## Response 200 fields (application/json):

  - `id` (string)
    Yellow Dog's primary key for the Store; always unique; formatted as GUID (example: 433ef432-f63e-4c26-a29f-39d4079d9fc9)

  - `code` (string | null)
    Main number associated with the Store in the Yellow Dog UI; unique per database

  - `name` (string | null)
    Name of the store

  - `noOnHand` (boolean)
    on hand counts are allowed or not allowed in the store (used for stores that are only transfer destinations to relieve inventory from another store)

  - `revenueCenter` (string | null)
    Code generated by the Point of Sale that is used to map transaction and adjustment data

  - `notes` (string | null)
    User-defined notes about the store

  - `created` (string)
    The date the store was created in Yellow Dog Inventory

  - `accountingID` (string | null)
    Free text field used for identifying what the id for this store is in an accounting system. This is found in the Store Editor as the field called Accounting ID

  - `companyID` (string | null)
    Free text field used for identifying what the ID of the company is. This is found in the Store Editor as the field called CompanyID.

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

